import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IAnnotation;
import quadbase.util.IAnnotationSet;
import quadbase.util.Point_2D;

public class AnnotationWithSymbol extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			AnnotationWithSymbol chart = new AnnotationWithSymbol();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doAnnotationWithSymbol(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doAnnotationWithSymbol(this));
	}

	Component doAnnotationWithSymbol(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"AnnotationWithSymbol.cht"); // template

		// Create custom legend
		IAnnotationSet set = chart.gethAnnotations();
		String[] text = { "New Legend", "Hello World", "ABC", "I got It" };
		int[] shape = { QbChart.PLUS, QbChart.NOSYMBOL, QbChart.SQUARE, QbChart.DASH };
		Color[] color = { Color.red, Color.black, Color.blue, Color.white };
		IAnnotation anno = set.newAnnotation(text, shape, color);
		Point_2D newPosition = new Point_2D(.65f, .7f);
		anno.setRelativePosition(newPosition);
		set.addAnnotation(anno);

		// Show chart in Viewer
		return chart;

	}

}
